/*****
*
* This file is part of the OVPlayer program.
*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by 
* the Free Software Foundation; either version 2, or (at your option)
* any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; see the file COPYING.  If not, write to
* the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
*
*****/

/*
 * Initial main.c file generated by Glade. Edit as required.
 * Glade will not overwrite this file.
 */

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <stdlib.h>
#include <gtk/gtk.h>
#include "SDL.h"
#include <vorbis/vorbisfile.h>

#include "interface.h"
#include "support.h"

#define PACKAGE_DESC "OVPlayer, version 1.0beta1"
#define PACKAGE_COPYRIGHT "Copyright 2001 by Jeff Sheets"

gint destroy_app(GtkWidget *widget, gpointer gdata) {
  SDL_PauseAudio(1);
  gtk_main_quit();
  return(FALSE);
}

GtkWidget *ovplayer;

int
main (int argc, char *argv[])
{
  fprintf (stderr, "%s\n%s", PACKAGE_DESC, PACKAGE_COPYRIGHT);
  gtk_set_locale ();
  gtk_init (&argc, &argv);

  add_pixmap_directory (PACKAGE_DATA_DIR "/pixmaps");
  add_pixmap_directory (PACKAGE_SOURCE_DIR "/pixmaps");

  SDL_Init(SDL_INIT_AUDIO);
  atexit(SDL_Quit);

  /*
   * The following code was added by Glade to create one of each component
   * (except popup menus), just so that you see something after building
   * the project. Delete any components that you don't want shown initially.
   */
  ovplayer = create_ovplayer ();
  gtk_widget_show (ovplayer);
  gtk_signal_connect(GTK_OBJECT(ovplayer), "delete_event",
                     GTK_SIGNAL_FUNC(destroy_app), NULL);

  if (argc > 1)
    autostart(argv[1]);

  gtk_main ();

  fprintf(stderr, "\n");
  return 0;
}

